cURL
curl --request POST \ --url https://{controlPlaneURL}/api/ml/v1/artifact-versions/files \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "id": "<string>", "path": "<string>", "limit": 123, "pageToken": "<string>" } '
{ "data": [ { "path": "<string>", "is_dir": true, "file_size": 123, "signed_url": "<string>", "last_modified": "2023-11-07T05:31:56Z" } ], "pagination": { "limit": 10, "nextPageToken": "<string>", "previousPageToken": "<string>" } }
List files and directories in an artifact version.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
ID of the artifact version to list files from
Relative path within the artifact version to list files from (defaults to root)
Maximum number of files/directories to return
Token to retrieve the next page of results
List of files and directories with pagination information
List of files and directories in the artifact version
Show child attributes
Pagination information including page tokens for navigation
Was this page helpful?
Contact support